summaryrefslogtreecommitdiffstats
path: root/TOOLS
diff options
context:
space:
mode:
authormichael <michael@b3059339-0415-0410-9bf9-f77b7e298cf2>2002-07-09 21:53:29 +0000
committermichael <michael@b3059339-0415-0410-9bf9-f77b7e298cf2>2002-07-09 21:53:29 +0000
commit1f6be44c5e1e2715faade7d66a51dd92934c03fd (patch)
tree30fffdaf819ddd76b6c1823cdb9fc99eb700a62b /TOOLS
parentce7b9db121cd6a6821e518ddd08a31774b7b73b6 (diff)
downloadmpv-1f6be44c5e1e2715faade7d66a51dd92934c03fd.tar.bz2
mpv-1f6be44c5e1e2715faade7d66a51dd92934c03fd.tar.xz
very simple script to generate png images from an video with all -sws methods
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@6688 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'TOOLS')
-rwxr-xr-xTOOLS/sws-test19
1 files changed, 19 insertions, 0 deletions
diff --git a/TOOLS/sws-test b/TOOLS/sws-test
new file mode 100755
index 0000000000..7f6d498801
--- /dev/null
+++ b/TOOLS/sws-test
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+if [ $# -lt 3 ] ; then
+ echo "sws-test <video-file> <start-pos> <res>"
+ echo "example: sws-test abc.avi 10 160:120"
+ exit 1
+fi
+
+for i in `seq 0 10` ; do
+ mplayer -vo png $1 -ss $2 -frames 3 -sws $i -vop scale=$3
+ rm 00000001.png
+ mv 00000002.png sws-`basename $1`-$2-$3-$i.png
+done
+
+#gauss with lowwer variance
+ mplayer -vo png $1 -ss $2 -frames 3 -sws 7 -vop scale=$3:0:50
+ rm 00000001.png
+ mv 00000002.png sws-`basename $1`-$2-$3-7-50.png
+